package com.dgtly.sync.exception;

import com.dgtly.common.exception.base.BaseException;
import com.dgtly.common.utils.MessageUtils;
import com.dgtly.common.utils.StringUtils;
import com.dgtly.sync.domain.MetaEmployee;
import com.dgtly.sync.domain.MetaEmployeeDiy;

public class OutOfScopeDIYException extends BaseException  {

    private String msg;

    /**
     * 用户信息
     */
    private MetaEmployee metaEmployee;
    public OutOfScopeDIYException(MetaEmployee m) {

        super("sync","500",
                new Object[] { "用户:"+m.getName(),
                        "packageId:"+m.getPackageId()},null);
        String s = "用户:"+m.getName()+"不在diy筛选范围内";
        this.metaEmployee = m;
        this.msg = s;

    }

    @Override
    public String getMessage()
    {
        return msg;
    }

    public MetaEmployee getMetaNipponOrgRelation() {
        return metaEmployee;
    }
}
